import 'express';
import 'express-session';

declare global {
  namespace Express {
    interface Request {
      // populated by getSessionUser
      user?: any;
    }
  }
}

declare module 'express-session' {
  interface SessionData {
    userId?: number | null;
  }
}

export {};
